#ifndef XFXELEMVEC3RANGE_H
#define XFXELEMVEC3RANGE_H

#include "xasset.h"

#include <QVector3D>

class XFxElemVec3Range : public XAsset
{
public:
    explicit XFxElemVec3Range();
    ~XFxElemVec3Range();

    void Clear() override;
    void ParseData(XDataStream *aStream) override;

private:
    QVector3D mBase;
    QVector3D mAmplitude;
};

#endif // XFXELEMVEC3RANGE_H
